//
//  AppUpdateDM.swift
//  WOKA
//
//  Created by MacBook Pro on 20/08/24.
//

import Foundation

// MARK: - AppUpdateDM
struct AppUpdateDM: Codable {
    let the0: The0?
    let msg: String?
    let url: String?

    enum CodingKeys: String, CodingKey {
        case the0 = "0"
        case msg, url
    }
    
    // MARK: - The0
    struct The0: Codable {
        let id: Int?
        let versionID, releaseDate: String?
        let oldVersion: Int?
        let newVersion, forceUpdateVersion: Double?
        let forceUpdate: Int?
        let releaseNotes: String?

        enum CodingKeys: String, CodingKey {
            case id
            case versionID = "version_id"
            case releaseDate = "release_date"
            case oldVersion = "old_version"
            case newVersion = "new_version"
            case forceUpdateVersion = "force_update_version"
            case forceUpdate = "force_update"
            case releaseNotes = "release_notes"
        }
    }
}
